Subject: LilyPond Snippet Repository

From: Laurent Richard <[email-masked]>
Date: Tue, 05 Aug 2008 21:31:13 +0200

Bonsoir à vous, 

j'ai 2 questions à vous soumettre ce soir:

la 1ere:  dans un de mes derniers mails je parlais des problèmes du site
LSR, et encore aujourd'hui j'ai beaucoup de soucis: à savoir que si je
recherche une forme dans la section "browse", j'arrive à peine à
afficher 5 pages d' affilé, sans arriver sur une page blanche....je suis
obligé d'attendre 5-10 minutes pour retrouver une page correct et
poursuivre mes recherches ce qui est très très génant. Y a - t-il un
soucis serveur, et y a t-il un fichier pdf permettant de consulter le
site hors ligne sans avoir à l'"aspirer"? (tout en sachant bien sur que
c'est en perpétuelle évolution)

Et la 2eme qui en découle (puisque je ne trouve pas): je souhaiterai
faire une partition avec une voix de soliste détachée, ainsi qu'une
partie 4 voix d'accompagnement pour choeur (avec soprane, ténor avec les
hampes en haut et alti, basses  hampes en bas). J'ai trouvé beaucoup
d'exemples sur mutopia, mais l'accompagnement est au piano bien sûr et
avec les voix attachées.... (et surtout leur fichier .ly sont très
compliqués à comprendre pour un novice comme moi :-(), faire une partie
à 4 voix, ça je sais faire, mais rajouter une ligne supplémentaire pour
une soliste, ça, je sais pas!
Comment puis-je faire?

Merci d'avance pour vos réponses

Laurent

---

From: "Valentin Villenave" <[email-masked]>
Date: Thu, 7 Aug 2008 21:13:02 +0200

Le 5 août 2008 21:31, Laurent Richard <[email-masked]> a écrit :

> recherche une forme dans la section "browse", j'arrive à peine à afficher 5
> pages d' affilé, sans arriver sur une page blanche....je suis obligé
> d'attendre 5-10 minutes pour retrouver une page correct et poursuivre mes
> recherches ce qui est très très génant. Y a - t-il un soucis serveur, et y a
> t-il un fichier pdf permettant de consulter le site hors ligne sans avoir à
> l'"aspirer"? (tout en sachant bien sur que c'est en perpétuelle évolution)

Bonsoir,

il y a effectivement de nombreux problèmes avec le serveur du LSR.

Cependant,

- tous les snippets relevant de la documentation (donc les plus utiles
en général) sont intégrés dans la documentation.

- l'intégralité des snippets peut être téléchargée sur
http://lsr.dsi.unimi.it/download/

- "browse" n'est sans doute pas la façon la plus utile de parcourir le
LSR, qui est plus spécifiquement destiné à rechercher des mots-clés ou
des commandes.

> Et la 2eme qui en découle (puisque je ne trouve pas): je souhaiterai faire
> une partition avec une voix de soliste détachée, ainsi qu'une partie 4 voix
> d'accompagnement pour choeur (avec soprane, ténor avec les hampes en haut et
> alti, basses  hampes en bas). J'ai trouvé beaucoup d'exemples sur mutopia,
> mais l'accompagnement est au piano bien sûr et avec les voix attachées....

Très simple :

\score {
  <<
    \new Staff \new Voice = "soliste" { \maPartieSoliste }
    \new Lyrics \lyricsto "soliste" { \mesParolesSoliste }

    \new ChoirStaff <<
      \new Staff <<
        \new Voice = "sopr" { \maPartieSoprano }
        \new Voice = "alto" { \maPartieAlto }
      \new Lyrics \lyricsto "alto { \mesParolesHomorythmiques }
      \new Staff <<
        \new Voice = "tenor" { \maPartieTenor }
        \new Voice = "bass" { \maPartieBasse }
}

Avec des paroles différentes pour chaque voix, c'est un tout petit peu
plus compliqué mais le principe est le même.

Cordialement,
Valentin Villenave

---

From: Laurent Richard <[email-masked]>
Date: Thu, 07 Aug 2008 21:20:58 +0200

Merci beaucoup pour tous ces éclaircissements!!

Amicalement